# .coveragerc to control coverage.py
[run]
branch = True
omit =
    *tests*
    glsf/cli/*


[paths]
# The entries in this section are lists of file paths that should be considered equivalent when combining data from different machines:
source =
   glsf/

[report]
# Regexes for lines to exclude from consideration
exclude_lines =
    # Have to re-enable the standard pragma
    pragma: no cover

    # Don't complain about missing debug-only code:
    def __repr__
    if self\.debug
    def to_dict
    __version__
    def to_json
    def pretty

    # Don't complain if tests don't hit defensive assertion code:
    raise AssertionError
    raise NotImplementedError

    # Don't complain if non-runnable code isn't run:
    if 0:
    if __name__ == .__main__.:

ignore_errors = True

[html]
directory = coverage_html_report
